Page MenuHomePhabricator

Update jQuery version to 1.6.1
Closed, ResolvedPublic

Description

Author: bachinchi

Description:
With the branching of MW 1.18, we should take the chance to upgrade the jQuery bundled with MW 1.19.
http://blog.jquery.com/2011/05/03/jquery-16-released/


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=26307

Details

Reference
bz28904

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:26 PM
bzimport set Reference to bz28904.
bzimport created this task.May 9 2011, 11:16 PM
Reedy added a comment.May 9 2011, 11:38 PM

The same should happen with various extensions also

See bug 26307, and to some extent, bug 26306

Reedy, I'm gonna ask you to take the lead on this. Let me know if that isn't reasonable.

Reedy added a comment.May 11 2011, 4:24 PM

Better with Roan, Trevor or Krinkle

I could replace it, but I'd be somewhat stuck as to fixing the issues

I'm the api/backend developer, they're the frontend ;)

MediaWiki 1.15: jQuery 1.3.2
MediaWiki 1.16: jQuery 1.4.2
MediaWiki 1.17: jQuery 1.4.4

For 1.18 we're too late in my opinion, since branching has taken place and active development is basically past us.

I suggest switching trunk to 1.5.2 or 1.6.1.

From first look, I thnik we should go with 1.5.2 due to the new .prop() changes in 1.6.x which, together with all that was new in 1.5.x maybe too much at once (since we're coming from 1.4.4).

Reedy added a comment.May 22 2011, 9:51 PM

Do one step now, then do the next later when appropriate ;)

Certainly putting it in 1.18 is asking for trouble

(In reply to comment #5)

MediaWiki 1.15: jQuery 1.3.2
MediaWiki 1.16: jQuery 1.4.2
MediaWiki 1.17: jQuery 1.4.4
For 1.18 we're too late in my opinion, since branching has taken place and
active development is basically past us.

MediaWiki 1.19 (trunk): jQuery 1.5.2

Done in r88607.

(In reply to comment #5)

From first look, I thnik we should go with 1.5.2 due to the new .prop() changes
in 1.6.x which, together with all that was new in 1.5.x maybe too much at once
(since we're coming from 1.4.4).

The backwards incompatible changes were fixed in 1.6.1 . I still see the argument for doing this slowly though.

brion added a comment.May 24 2011, 5:40 PM

r88725 reverts the update (r88607) and references this bug. What's the reasoning for downgrading rather than fully upgrading on trunk? Should this bug be reopened?

Yes, and renamed as well.

Fixed in r89866.

I've been running on 1.6.1 locally for two weeks now and fixed issues that I was saving in the mean time and made sure we're still passing all unit tests.

bachinchi wrote:

JQuery 1.6.2 has been released: http://blog.jquery.com/2011/06/30/jquery-162-released/

Reedy added a comment.Jul 1 2011, 12:21 AM

(In reply to comment #12)

JQuery 1.6.2 has been released:
http://blog.jquery.com/2011/06/30/jquery-162-released/

You could've just opened a new bug

(In reply to comment #12)

JQuery 1.6.2 has been released:
http://blog.jquery.com/2011/06/30/jquery-162-released/

jQuery version has already been update for 1.19, I suggest doing the next update in 1.20, which already has an open bug 29100.

Re-marking this as fixed as it has already been upgraded to 1.6.1, to avoid confusion in release-notes and other referencs, don't re-use tickets for other requests.

Reedy added a comment.Jul 4 2011, 10:34 PM

(In reply to comment #14)

(In reply to comment #12)

JQuery 1.6.2 has been released:
http://blog.jquery.com/2011/06/30/jquery-162-released/

jQuery version has already been update for 1.19, I suggest doing the next
update in 1.20, which already has an open bug 29100.
Re-marking this as fixed as it has already been upgraded to 1.6.1, to avoid
confusion in release-notes and other referencs, don't re-use tickets for other
requests.

Still, as it's a point release/bugfix update, shouldn't we probably upgrade to 1.6.2 in trunk as is? Then look at upgrading to whatever is the major version (1.7, 1.8?) for MW 1.20?

Granted, it should be logged as a new bug, but still.

bachinchi wrote:

It's only a minor point release, and it's not too late for 1.19 (is it?).

Reedy added a comment.Jul 11 2011, 2:35 PM

(In reply to comment #16)

It's only a minor point release, and it's not too late for 1.19 (is it?).

No, and it's already been done, I logged a new bug rather than just reopening this one. If the issue had been unresolved before 1.6.2 came out, retitling this bug etc would've been fine.

As it had been fixed, as is, bug 28904 is the more appropriate way of doing it

(In reply to comment #17)

As it had been fixed, as is, bug 28904 is the more appropriate way of doing it

bug 29773 :)